(in-package :om)

;--------------------------------------------------
;Variable definiton with files to load 
;--------------------------------------------------

(defvar *OMMatrix-lib-files* nil)
(setf *OMMatrix-lib-files* (list (om::om-relative-path '("sources") "ommatrix")))

;--------------------------------------------------
;Loading files 
;--------------------------------------------------

(mapc #'om::compile&load *OMMatrix-lib-files*)

;--------------------------------------------------
; OM subpackages initialization
; ("sub-pack-name" subpacke-lists class-list function-list class-alias-list)
;--------------------------------------------------

(defvar *subpackages-list* nil)
(setf *subpackages-list*
      '(("PCS" nil nil (s-info n-info s-invar s-transform closed-chains) nil)
		("CM Gens" nil nil (cm-roman cm-type1a cm-type1b cm-type2 cm-op-cycles cm-chains) nil)
		("CM Transform" nil nil (cm-rot-diag cm-rot-90 cm-swap-rows cm-swap-columns cm-tni cm-invar-position
		cm-invar-row cm-invar-column cm-invar-matrix cm-swap-elem cm-swap-all cm-swap-all-seq) nil)
        ("Printing" nil nil (print-partitions cm-print cm-score cm-norm-print) nil)))

 
;--------------------------------------------------
;filling packages
;--------------------------------------------------
(om::fill-library *subpackages-list*)

(print "
=================================
OMMatrix library
Pablo Cetta, UCA 2018
=================================
")



